CHRPATH(1)

NAME
chrpath - change the rpath or runpath in binaries

SYNOPSIS
chrpath [ -v | --version ] [ -d | --delete ] [ -r <path> | --replace <path> ] [ -c | --convert ] [ -l | --list ] [ -h | --help ] <program> [ <program> ... ]

DESCRIPTION
chrpath changes, lists or removes the rpath or runpath setting in a binary. The rpath, or runpath if it is present, is where the runtime linker should look for the libraries needed for a program.

OPTIONS

-v | --version
    Display program version number

-d | --delete
    Delete current rpath or runpath setting

-c | --convert
    Convert the rpath setting into a runpath setting

-r <path> | --replace <path>
    Replace current rpath or runpath setting with the path given

-k | --keepgoing
    Do not fail on first error, but process all arguments before returning the error.

-l | --list
    List the current rpath or runpath (default)

-h | --help
    Show usage information.

EXIT STATUS

0   If all operations were successful

>0  if one of the operations failed. A failing operation terminates the program unless -k is specified.

AUTHOR
The chrpath program was written by Petter Reinholdtsen <pere@hungry.com>, based on works by Geoffrey Keating <geoffk@ozemail.com.au> and Peeter Joot <peeterj@ca.ibm.com>.

This manual page was originally written by Tollef Fog Heen <tfheen@debian.org>, for the Debian GNU/Linux system (but may be used by others).